Skip to content

Create A Page

POST
/pages
curl --request POST \
--url https://markdawn.space/api/v1/pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "Project notes", "markdown": "# Project notes\n\nStart writing here." }'

Creates a page in the requested folder, or at the Markdawn root when parentId is omitted or null. You can include initial markdown in the request body.

Media typeapplication/json
object
title
string
parentId
Any of:
string
/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/
icon
Any of:
string
markdown
string
Example
{
"title": "Project notes",
"markdown": "# Project notes\n\nStart writing here."
}

Created page metadata.

Media typeapplication/json
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
parentId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
title
required
string
icon
required
Any of:
string
cover
required
Any of:
object
type
required
string
value
required
Any of:
string
properties
required
Any of:
object
key
additional properties
ownerId
required
Any of:
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
permission
required
Any of:
string
Allowed values: view edit admin
createdAt
required
string
updatedAt
required
string
Example
{
"permission": "view"
}

The API token is missing a required scope: pages:write.

Media typeapplication/json

Structured error returned when the request cannot be completed.

object
error
required

Error details for programmatic handling.

object
code
required

Stable error code.

string
message
required

Human-readable explanation.

string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}